package org.fmod.example;

import android.util.Log;

/**
 * Created by HSH on 2019/3/16.
 */
public class VoiceUtil {
    public static final int VOICE_NORMAL = 0;
    public static final int VOICE_LUOLI = 1;
    public static final int VOICE_DASHU = 2;
    public static final int VOICE_JINGSONG = 3;
    public static final int VOICE_GAOGUAI = 4;
    public static final int VOICE_KONGLING = 5;

    static {
        try {
            System.loadLibrary("libfmod");
        } catch (UnsatisfiedLinkError e) {
            e.printStackTrace();
            Log.d("VoiceUtil", "load fail!");
        }

        // Try logging libraries...
        try {
            System.loadLibrary("libfmodL");
        } catch (UnsatisfiedLinkError e) {
            Log.d("VoiceUtil", "load fail!");
            e.printStackTrace();
        }
        System.loadLibrary("native-lib");
    }

    public native static void playVoiceMode(String path, int type);
}
